<?php
require_once 'core/system.php';
$header = 'Лотерея';
require_once 'core/head.php';
if(!isset($_GET['creespo']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['creespo'])) $creespo=false; else $creespo=$_GET['creespo'];
switch ($creespo){
case false:
default: 
echo'<div class="block_light center"><a href="loto_gold.php?creespo=help">Помощь</a>';	
echo'</div>
<div class="block">
<form action="loto_gold.php?creespo=ok" method="post" style="margin:0; padding:0;">
Ваша ставка: <img width="12" height="12" src="/images/icon/gold.png" alt="o"> <select class="select" name="sum">
<option value="1" selected>1
<option value="3">3
<option value="5">5
<option value="10">10
<option value="15">15
<option value="20">20
<option value="25">25
<option value="50">50
<option value="100">100
<option value="200">200
<option value="500">500
<option value="1000">1000

</select><br/>
Ваш выбор:<br/>
<select class="select" name="lin">
<option value="1" selected>Билет #1
<option value="2">Билет #2
<option value="3">Билет #3
<option value="4">Билет #4
<option value="5">Билет #5
<option value="6">Билет #6
<option value="7">Билет #7
<option value="8">Билет #8
<option value="9">Билет #9
<option value="10">Билет #10
<option value="11">Билет #11
<option value="12">Билет #12


</select><br/>
<button>Отгадать</button>
</form>
</div>';
include_once "core/foot.php";
break;

case'ok':
$login = $user['id'];
$stav = mysql_escape_string(htmlspecialchars($_POST['sum']));
$lin = mysql_escape_string(htmlspecialchars($_POST['lin']));
echo'<div class="block"><a href="loto_gold.php?creespo=help">Помощь</a></div>
<div class="btns">';
echo'
</div>
';
$ballans = $user['gold'];
if($stav < 1){
echo '<div class="block">Минимальная ставка <img width="12" height="12" src="images/icon/gold.png" alt="o">1<br /><a href = "/loto_gold.php">Вернуться</a></div>';
include_once "core/foot.php";
break;
}
if($stav > 1000){
echo '<div class="block">Максимальная ставка <img width="12" height="12" src="images/icon/gold.png" alt="o">1000<br /><a href = "/loto_gold.php">Вернуться</a></div>';
include_once "core/foot.php";
break;
}

if($lin > 15){
echo '<div class="block">Ошибка</div>';
break;
}
if($lin < 1){
echo '<div class="block">Ошибка</div>';
break;
}
if($ballans < $stav){
echo '<div class="block">Недостаточно средств!<br/>
На балансе должно быть минимум <img width="12" height="12" src="images/icon/gold.png" alt="o">'.$stav.' </div>';
exit;
}else{
mysql_query("UPDATE `user` SET `gold`=`gold`-'$stav' WHERE `id`='".$login."'");

}
$r1 = rand(1,4);
$r2 = rand(5,8); 
$r3 = rand(9,12);
echo'<div class="cont">';
if($r1==$lin | $r2==$lin | $r3==$lin){
$r4 = rand(2,5);
$stav = $stav;
$kom = $stav * $comissia;
$sum = $stav * 2;
echo'<div class="block"><b>Вы угадали</b><br/>Победил билет №'.$lin.' и вы забираете <img width="12" height="12" src="images/icon/gold.png" alt="o"> '.$sum.'</div><div class="block"><a href="/loto_gold.php">Играть еще</a></div>';
include_once "core/foot.php";
if($_USER['pid']==null){
mysql_query("UPDATE `user` SET `gold`=`gold`+'".$sum."' WHERE `id`='".$login."'");
}else{
$pr = ($sum * $procref) / 100;

mysql_query("UPDATE `user` SET `gold`=`gold`+'".$sum."' WHERE `id`='".$login."'");
}

}else{
echo'<div class="block"><b>Вы не угадали.</b><br/>Выйграли билеты под номерами '.$r1.','.$r2.','.$r3.' <br/></div><div class="block"><a href="/loto_gold.php">Играть еще</a></div>
';
include_once "core/foot.php";
}

echo'</div>';
break;


case'help':
echo'<div class="block">Помощь</div>
<div class="block">
1.Вы делаете ставку.<br/>
2.Жмете Играть.<br/>
3.Перед Вами будет находиться 12 билетов, в трёх из них находится приз. Выигрыш умножает Вашу ставку в 2 раза. Все зависит от Вашей удачи. <br/>
<a href = "/loto_gold.php">Вернуться</a>
</div>';
include_once "core/foot.php";
break;


}
?>